%define Werror_cflags %nil

Name:           inkscape
Summary:        A vector-based drawing program using SVG
Version:        0.92.1
Release:        %mkrel 2
License:        GPLv2+
Group:          Graphics/Editors and Converters
URL:            http://inkscape.sourceforge.net/
# Source:               http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source:               https://inkscape.global.ssl.fastly.net/media/resources/file/%{name}-%{version}.tar.bz2
Source:        https://inkscape.org/gallery/item/10682/inkscape-0.92.1.tar_XlpI7qT.bz2#/inkscape-0.92.1.tar.bz2
BuildRequires: cmake
BuildRequires: pkgconfig(cairo) > 1.7.6
BuildRequires: pkgconfig(cairo-pdf)
BuildRequires: pkgconfig(cairo-svg)
BuildRequires: pkgconfig(gdkmm-2.4)
BuildRequires: pkgconfig(giomm-2.4)
BuildRequires: pkgconfig(glibmm-2.4) >= 2.28
BuildRequires: pkgconfig(gsl)
BuildRequires: pkgconfig(gthread-2.0) >= 2.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.10.0
BuildRequires: pkgconfig(gtkspell-2.0)
BuildRequires: pkgconfig(ImageMagick++)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libpng) >= 1.2
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libvisio-0.1)
BuildRequires: pkgconfig(libwpg-0.3)
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.11
BuildRequires: pkgconfig(libxslt) >= 1.0.15
BuildRequires: pkgconfig(poppler) >= 0.5.9
BuildRequires: pkgconfig(poppler-cairo) >= 0.5.9
BuildRequires: pkgconfig(poppler-glib) >= 0.5.9
BuildRequires: pkgconfig(sigc++-2.0) >= 2.0.12
BuildRequires:  boost-devel
BuildRequires:  libgc-devel >= 6.4
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  popt-devel
BuildRequires:  potrace-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext-devel
Requires:       python-lxml
Recommends:     uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%setup -q -n inkscape-0.92.1

%define _disable_ld_no_undefined 1

%build
# export CXXFLAGS="%optflags -fpermissive -std=gnu++11"
# TODO : possibly add with perl and python.
# %%cmake -DCMAKE_SKIP_RPATH:BOOL=OFF -DCMAKE_MODULE_LINKER_FLAGS= -DBUILD_STATIC_LIBS:BOOL=ON
mkdir -p build
cd build
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share
# Does not run properly with this LDFLAGS.
# export LDFLAGS=' -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'
# With this LDFLAGS, inkscape runs fine.
export LDFLAGS=' -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

# With this LDFLAGS, inkscape runs fine.
# export LDFLAGS=' -Wl,--as-needed -Wl,-z,relro'

# Does not run properly with this LDFLAGS.
# export LDFLAGS=' -Wl,--as-needed -Wl,-z,relro  -Wl,--build-id -Wl,--enable-new-dtags'

# Does not run properly with this LDFLAGS.
# export LDFLAGS=' -Wl,--as-needed -Wl,-z,relro -Wl,--enable-new-dtags'

# Does not run properly with this LDFLAGS.
# export LDFLAGS=' -Wl,--as-needed -Wl,--enable-new-dtags'

# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags' -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=OFF -DCMAKE_SKIP_RPATH:BOOL=OFF -DCMAKE_MODULE_LINKER_FLAGS= -DBUILD_STATIC_LIBS:BOOL=ON
# Runs properly with this invocation and the offending LDFLAGS.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr

# Runs properly with this invocation and the offending LDFLAGS.
/usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_BUILD_TYPE=RelWithDebInfo


# Does not run properly with this LDFLAGS.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

# Fails to run properly.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

# Fails to run properly.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

# Runs properly with this invocation and the offending LDFLAGS.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

# Testing this.
# /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

%make_build

%install
cd build
%make_install

perl -i -lne 'print unless m{^\[Drawing Shortcut Group\]}..1' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="Graphics;2DGraphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f build/%{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/inkscape
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/*
/usr/lib/inkscape/libinkscape_base.so
# /usr/lib/inkscape/lib*_LIB.so
/usr/lib/inkscape/lib*_LIB.a


%changelog
* Sat May 27 2017 shlomif <shlomif> 0.92.1-2.mga6
+ Revision: 1105196
- rebuild for new imagemagick

* Thu Feb 16 2017 shlomif <shlomif> 0.92.1-1.mga6
+ Revision: 1086442
- New upstream version 0.92.1

* Wed Jan 18 2017 shlomif <shlomif> 0.92-2.mga6
+ Revision: 1082218
- Add an optional build dep for potrace-devel.

* Wed Jan 04 2017 shlomif <shlomif> 0.92-1.mga6
+ Revision: 1080049
- Add missing cmake dep
- New version 0.92.0 (.spec is crufty due to experiments).

* Mon Jan 02 2017 luigiwalser <luigiwalser> 0.91-14.mga6
+ Revision: 1079508
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.91-13.mga6
+ Revision: 1070627
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.91-12.mga6
+ Revision: 1046183
- test rebuild for poppler

* Tue Aug 02 2016 ovitters <ovitters> 0.91-11.mga6
+ Revision: 1044300
- disable ancient gnome-vfs

* Sat Jul 02 2016 shlomif <shlomif> 0.91-10.mga6
+ Revision: 1038317
- Hopefully fix MGA#18839 - Visio stencil support.

* Wed May 25 2016 luigiwalser <luigiwalser> 0.91-9.mga6
+ Revision: 1018539
- rebuild for poppler

* Mon May 09 2016 luigiwalser <luigiwalser> 0.91-8.mga6
+ Revision: 1011750
- rebuild for poppler

* Sat Mar 12 2016 pterjan <pterjan> 0.91-7.mga6
+ Revision: 989701
- Fix build with recent glibmm

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.91-6.mga6
+ Revision: 919007
- rebuild for gsl

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.91-5.mga6
+ Revision: 917803
- rebuild for poppler

* Thu Aug 27 2015 shlomif <shlomif> 0.91-4.mga6
+ Revision: 870196
- Rebuild due to new ABI and a segfault (verified to fix locally)

* Mon Jul 27 2015 cjw <cjw> 0.91-3.mga6
+ Revision: 858170
- add -std=gnu++11 to CXXFLAGS to fix build with gtkmm
- generate build scripts from sources

  + tv <tv>
    - rebuild for new poppler

* Wed Jun 24 2015 fwang <fwang> 0.91-2.mga6
+ Revision: 841888
- rebuild for new imagemagick

* Sun Feb 01 2015 shlomif <shlomif> 0.91-1.mga5
+ Revision: 812962
- New version 0.91

* Sun Nov 30 2014 cjw <cjw> 0.48.5-7.mga5
+ Revision: 800019
- remove apparently obsolete requirement on python-pyxml

* Wed Oct 15 2014 umeabot <umeabot> 0.48.5-6.mga5
+ Revision: 747231
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.48.5-5.mga5
+ Revision: 725092
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.48.5-4.mga5
+ Revision: 680515
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 23 2014 fwang <fwang> 0.48.5-3.mga5
+ Revision: 666794
- rebuild for imagemagick

* Tue Aug 05 2014 luigiwalser <luigiwalser> 0.48.5-2.mga5
+ Revision: 660035
- add patch from fedora to fix build with new libwpg
- rebuild for updated libwp[dgs] libraries

* Mon Jun 23 2014 luigiwalser <luigiwalser> 0.48.5-1.mga5
+ Revision: 638861
- 0.48.5
- remove upstreamed patches 1, 4, and 5

* Sun May 04 2014 tarakbumba <tarakbumba> 0.48.4-15.mga5
+ Revision: 620099
- Fix build with poppler-0.26.0

  + luigiwalser <luigiwalser>
    - fix build with new freetype2
    - rebuild for poppler

* Sat Oct 19 2013 umeabot <umeabot> 0.48.4-14.mga5
+ Revision: 535187
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.48.4-13.mga4
+ Revision: 481464
- rebuild for new imagemagick

* Tue Sep 10 2013 fwang <fwang> 0.48.4-12.mga4
+ Revision: 477204
- apply patch1
- fix build with recent gcc

* Wed Aug 07 2013 fwang <fwang> 0.48.4-11.mga4
+ Revision: 464403
- rebuild for new imagemagick

* Wed Jul 31 2013 fwang <fwang> 0.48.4-10.mga4
+ Revision: 461345
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 0.48.4-9.mga4
+ Revision: 456513
- rebuild for new poppler

* Tue Jul 09 2013 fwang <fwang> 0.48.4-8.mga4
+ Revision: 451657
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 0.48.4-7.mga4
+ Revision: 435972
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.48.4-6.mga4
+ Revision: 429160
- rebuild for new imagemagick

* Fri May 24 2013 fwang <fwang> 0.48.4-5.mga4
+ Revision: 425823
- rebuild for new poppler

* Sat Jan 12 2013 umeabot <umeabot> 0.48.4-4.mga3
+ Revision: 354405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Dec 30 2012 fwang <fwang> 0.48.4-3.mga3
+ Revision: 336405
- rebuild for new poppler

* Sun Dec 30 2012 cjw <cjw> 0.48.4-2.mga3
+ Revision: 336338
- patch3: fix build with automake 1.13

* Tue Dec 18 2012 fwang <fwang> 0.48.4-1.mga3
+ Revision: 332409
- build with permissive
- br popt
- apply gc patch
- new version 0.48.4

* Fri Dec 14 2012 fwang <fwang> 0.48.3.1-8.mga3
+ Revision: 330773
- rebuild for new imagemagick

* Mon Nov 12 2012 fwang <fwang> 0.48.3.1-7.mga3
+ Revision: 317123
- rebuild for new poppler

* Fri Oct 12 2012 fwang <fwang> 0.48.3.1-6.mga3
+ Revision: 305129
- rebuild for new imagemagick

* Wed Oct 10 2012 tv <tv> 0.48.3.1-5.mga3
+ Revision: 304196
- fix group
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 0.48.3.1-4.mga3
+ Revision: 292156
- rebuild for new poppler
- fix category

* Sat Sep 01 2012 fwang <fwang> 0.48.3.1-3.mga3
+ Revision: 286943
- br gettext
- build with -fpermissive

  + tv <tv>
    - patch 2: fix build with GC7
    - BR libgc-devel
    - rebuild for new poppler

* Wed Jun 13 2012 fwang <fwang> 0.48.3.1-2.mga3
+ Revision: 260267
- more pathc
- add inkscape patch to build with latest inkscape
- rebuild for new poppler

* Sun Feb 19 2012 fwang <fwang> 0.48.3.1-1.mga2
+ Revision: 210729
- new version 0.48.3.1

* Thu Feb 16 2012 fwang <fwang> 0.48.3-1.mga2
+ Revision: 209449
- new version 0.48.3

* Sun Feb 05 2012 doktor5000 <doktor5000> 0.48.2-6.mga2
+ Revision: 204729
- added Suggests on uniconvertor (mga#3545)

* Fri Oct 28 2011 fwang <fwang> 0.48.2-5.mga2
+ Revision: 159057
- more revert
- revert some changes
- more fix
- more patch
- more patch
- revert some changes
- include glib.h only
- only include glib header
- rebuild for new poppler

* Tue Sep 27 2011 ovitters <ovitters> 0.48.2-4.mga2
+ Revision: 149383
- rebuild for new poppler

* Tue Sep 13 2011 fwang <fwang> 0.48.2-3.mga2
+ Revision: 142817
- rebuild for new imagemagick

* Mon Sep 12 2011 fwang <fwang> 0.48.2-2.mga2
+ Revision: 142637
- fix build with libpng15
- rebuild for new libpng

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 09 2011 fwang <fwang> 0.48.2-1.mga2
+ Revision: 121078
- new version 0.48.2

* Sun Mar 27 2011 ahmad <ahmad> 0.48.1-2.mga1
+ Revision: 78072
- rebuild for new poppler

* Thu Feb 10 2011 dmorgan <dmorgan> 0.48.1-1.mga1
+ Revision: 49759
- Remove mdv macros
- imported package inkscape

